Bug 653691 - [abrt] Zim-0.49-1.fc14: index.py:827:_walk:InterfaceError: Error binding parameter 0 - probably unsupported type.
[abrt] Zim-0.49-1.fc14: index.py:827:_walk:InterfaceError: Error binding para...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Zim (Show other bugs)
16
x86_64 Unspecified
low Severity medium
: ---
: ---
Assigned To: Robin Lee
Fedora Extras Quality Assurance
abrt_hash:fe7f48ed
:
: 667737 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-15 17:55 EST by Dale Snell
Modified: 2013-02-13 19:49 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 19:49:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (900 bytes, text/plain)
2010-11-15 17:55 EST, Dale Snell
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 645152 None None None Never

  None (edit)
Description Dale Snell 2010-11-15 17:55:54 EST
abrt version: 1.1.13
architecture: x86_64
cmdline: /usr/bin/python /usr/bin/zim
component: Zim
executable: /usr/bin/zim
kernel: 2.6.35.6-48.fc14.x86_64
package: Zim-0.49-1.fc14
reason: index.py:827:_walk:InterfaceError: Error binding parameter 0 - probably unsupported type.
release: Fedora release 14 (Laughlin)
time: 1289861571
uid: 500

backtrace
-----
index.py:827:_walk:InterfaceError: Error binding parameter 0 - probably unsupported type.

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/zim/index.py", line 285, in on_page_updated
    self.cleanup(link)
  File "/usr/lib/python2.7/site-packages/zim/index.py", line 786, in cleanup
    self._delete(path)
  File "/usr/lib/python2.7/site-packages/zim/index.py", line 718, in _delete
    paths.extend(list(self.walk(root)))
  File "/usr/lib/python2.7/site-packages/zim/index.py", line 827, in _walk
    cursor.execute('select * from pages where parent == ? order by lower(basename)', (path.id,))
InterfaceError: Error binding parameter 0 - probably unsupported type.

Local variables in innermost frame:
cursor: <sqlite3.Cursor object at 0x1fbc3b0>
indexpath: (1, 24)
self: <Index object at 0x1fb0b40 (zim+index+Index at 0x2118c00)>
path: <IndexPath: Misc, random, stuph.>

How to reproduce
-----
1.  Launched Zim
2.  Zim popped up a dialog box, telling me that my notebook needed to be updated
3.  I agreed to the update, which seemed to run
4.  The abrt notice popped up while the update was running.
Comment 1 Dale Snell 2010-11-15 17:55:56 EST
Created attachment 460692 [details]
File: backtrace
Comment 2 Robin Lee 2010-11-15 23:48:03 EST
Which version is your previous Zim?

After your steps of reproduction, does Zim crash, or just issue an exception and continue to work?
Comment 3 Dale Snell 2010-11-16 00:42:30 EST
(In reply to comment #2)
> Which version is your previous Zim?

Err...  It's whatever was the final version in Fedora 12.  (I jumped from F12 to F14 and gave F13 a clean miss.)

> After your steps of reproduction, does Zim crash, or just issue an exception
> and continue to work?

It complained, but kept on working.  There were some entries in the Index pane that were grey colored duplicates of the entry above them.  The normal entries led to the expected pages.  The grey entries led to pages that had the correct headings (i.e., same as the normal pages), but were otherwise empty.  After shutting Zim down and started it up again, everything looks normal.  No more grey index enteries, and no exceptions.  I'd try converting again, except that I didn't keep a backup copy of the notebook.  Sorry 'bout that.  :-(  Other than that one glitch, Zim looks and works quite nicely.
Comment 4 Iavael 2010-11-26 07:29:49 EST
Package: Zim-0.49-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. After zim update I ran it with --no-daemon option, a dialog with notebook format upgrade appeared
2. I chose "Yes"
3. zim crashed


Comment
-----
When I run zim without --no-daemon it closes after choosing "Yes" without any message or traceback.
Comment 5 Robin Lee 2010-11-26 09:21:19 EST
(In reply to comment #4)
> Package: Zim-0.49-1.fc14
> Architecture: x86_64
> OS Release: Fedora release 14 (Laughlin)
> 
> 
> How to reproduce
> -----
> 1. After zim update I ran it with --no-daemon option, a dialog with notebook
> format upgrade appeared
> 2. I chose "Yes"
> 3. zim crashed
> 
> 
> Comment
> -----
> When I run zim without --no-daemon it closes after choosing "Yes" without any
> message or traceback.

Which version is your previous Zim?


This issue is identical with an upstream bug ( https://bugs.launchpad.net/zim/+bug/645152 ) with status 'In Progress'.
Comment 6 Iavael 2010-11-26 09:44:01 EST
(In reply to comment #5)

> Which version is your previous Zim?

0.29 from Fedora 13
Comment 7 Robin Lee 2011-01-06 12:03:07 EST
*** Bug 667737 has been marked as a duplicate of this bug. ***
Comment 8 David Kovalsky 2011-11-29 08:25:15 EST
Fedora 14 is almost EOLed - moving to F16, still valid. 
Zim-0.53-1.fc16.noarch



Current logs:

$ DEBUG: Loading /home/dkovalsk/.config/zim/preferences.conf
DEBUG: Gtk version is (2, 24, 8)
DEBUG: Pygtk version is (2, 24, 0)
WARNING: Could not find all icon sizes for the application icon
DEBUG: Loading /home/dkovalsk/.config/zim/style.conf
DEBUG: Registered plugin <InsertDiagramPlugin object at 0x28931e0 (zim+plugins+PluginClass at 0x2924680)> for image type "diagram"
DEBUG: Loaded plugin diagrameditor (<InsertDiagramPlugin object at 0x28931e0 (zim+plugins+PluginClass at 0x2924680)>)
DEBUG: Loaded plugin printtobrowser (<PrintToBrowserPlugin object at 0x28934b0 (zim+plugins+PluginClass at 0x2924960)>)
DEBUG: Accelmap: /home/dkovalsk/.config/zim/accelmap
DEBUG: Opening notebook: file:///home/dkovalsk/.zim/Notes
DEBUG: Loading /home/dkovalsk/.zim/Notes/notebook.zim
DEBUG: Cache dir: /home/dkovalsk/.zim/Notes/.zim
DEBUG: Index database file: /home/dkovalsk/.zim/Notes/.zim/index.db
WARNING: This notebook needs to be upgraded to the latest data format
DEBUG: Loading /home/dkovalsk/.zim/Notes/.zim/state.conf
INFO: Starting async index update
DEBUG: Action: set_pathbar_recent
INFO: Open page: <FileStorePage: QFix-2011-10-26> (<HistoryPath: QFix-2011-10-26>)
DEBUG: Running QuestionDialog
DEBUG: Q: Upgrade Notebook?
/usr/lib/python2.7/site-packages/zim/gui/widgets.py:2529: GtkWarning: gdk_window_invalidate_rect_full: assertion `GDK_IS_WINDOW (window)' failed
  gtk.MessageDialog.run(self)
INFO: Index update done
DEBUG: A: True
DEBUG: Opening ProgressBarDialog
INFO: Notebook update started
DEBUG: Wrote /home/dkovalsk/.zim/Notes/XXXX-Removed
DEBUG: Wrote /home/dkovalsk/.zim/Notes/XXXX-Removed
DEBUG: Wrote /home/dkovalsk/.zim/Notes/XXXX-Removed
DEBUG: Wrote /home/dkovalsk/.zim/Notes/XXXX-Removed
DEBUG: Wrote /home/dkovalsk/.zim/Notes/XXXX-Removed
DEBUG: Wrote /home/dkovalsk/.zim/Notes/XXXX-Removed
ERROR: Error in child main:
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/zim/daemon.py", line 550, in spawn
    self._main()
  File "/usr/lib/python2.7/site-packages/zim/daemon.py", line 594, in _main
    obj.main()
  File "/usr/lib/python2.7/site-packages/zim/gui/__init__.py", line 599, in main
    self.check_notebook_needs_upgrade()
  File "/usr/lib/python2.7/site-packages/zim/gui/__init__.py", line 1162, in check_notebook_needs_upgrade
    self.notebook.upgrade_notebook(callback=lambda p: dialog.pulse(p.name))
  File "/usr/lib/python2.7/site-packages/zim/notebook.py", line 1949, in upgrade_notebook
    for page in self.walk():
  File "/usr/lib/python2.7/site-packages/zim/notebook.py", line 1893, in walk
    for p in self.index.walk(path):
  File "/usr/lib/python2.7/site-packages/zim/index.py", line 1187, in _walk
    for grandchild in self._walk(child, childpath):
  File "/usr/lib/python2.7/site-packages/zim/index.py", line 1179, in _walk
    cursor.execute('select * from pages where parent == ? order by lower(basename)', (path.id,))
InterfaceError: Error binding parameter 0 - probably unsupported type.
DEBUG: Child exited 14252 (u'zim.gui.GtkInterface', u'file:///home/dkovalsk/.zim/Notes')
INFO: Last instance quit - exiting daemon
INFO: Stopped UnixSocketDaemon
Comment 9 Fedora Admin XMLRPC Client 2012-01-10 22:24:25 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Fedora End Of Life 2013-01-16 17:12:41 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Fedora End Of Life 2013-02-13 19:49:26 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.